local _, core = ...;
core.DBpets = {};
core.LoadPets = {};

local function loadPets()
core.DBpets = {
	[1] = {
		id = 1,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(134406, 8), core.libs.getInfoByIdPet(134406, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(134406, 13), core.libs.getInfoByIdPet(134406, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/francois_good",
		Model = { id = 75339,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/francois_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/francois_page1-1",
						title = core.L["Francois"],
						onMap = {
							nameNPC = core.L["Francois"],
							nameZone = core.L["Tiragarde"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/francois_page1-1",
							pins = {
								{
									id = "1,1,1,1",
									x = 0.5280,
									y = 0.3100,
									zone = 895,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpFrancoisP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 158077,
									itemInfo = {GetItemInfo(158077)},
									itemIcon = "interface/icons/inv_cloudserpent_egg_yellow",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Francois"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(134406, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[2] = {
		id = 2,
		faction = "Horde",
		["infoPet"] = {core.libs.getInfoByIdPet(147583, 8), core.libs.getInfoByIdPet(147583, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(147583, 13), core.libs.getInfoByIdPet(147583, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_good",
		Model = { id = 90422,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_page1H",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/plumes_page1H",
						title = C_QuestLog.GetQuestInfo(53817),
						stepAssigned = 1,
						onMap = {
							nameNPC = C_QuestLog.GetQuestInfo(53817),
							nameZone = core.L["Zuldazar"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/quest_map",
							pins = {
								{
									id = "2,1,1,1",
									x = 0.5840,
									y = 0.6260,
									zone = 862,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53817),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53817)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53816),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53816)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53818),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53818)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53819),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53819)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 165845,
									itemInfo = {GetItemInfo(165845)},
									itemIcon = "interface/icons/inv_mechanicalparrotpet",
									nbNeed = 1,
									["quest"] = {
										title = C_QuestLog.GetQuestInfo(53821),
									},
									done = core.libs.getInfoByIdPet(147583, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[3] = {
		id = 3,
		faction = "Alliance",
		["infoPet"] = {core.libs.getInfoByIdPet(147583, 8), core.libs.getInfoByIdPet(147583, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(147583, 13), core.libs.getInfoByIdPet(147583, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_good",
		Model = { id = 90422,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_page1A",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/plumes_page1A",
						title = C_QuestLog.GetQuestInfo(53815),
						stepAssigned = 1,
						onMap = {
							nameNPC = C_QuestLog.GetQuestInfo(53815),
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/quest_map",
							pins = {
								{
									id = "3,1,1,1",
									x = 0.6780,
									y = 0.2640,
									zone = 1161,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53815),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53815)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53816),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53816)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53818),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53818)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53819),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53819)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 165845,
									itemInfo = {GetItemInfo(165845)},
									itemIcon = "interface/icons/inv_mechanicalparrotpet",
									nbNeed = 1,
									["quest"] = {
										title = C_QuestLog.GetQuestInfo(53820),
									},
									done = core.libs.getInfoByIdPet(147583, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[4] = {
		id = 4,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(143189, 8), core.libs.getInfoByIdPet(143189, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(143189, 13), core.libs.getInfoByIdPet(143189, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/maccarbre_good",
		Model = { id = 86805,
				camDist = 1,
				rotation = 2,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/maccarbre_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-1",
						title = core.L["WickerSticks"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["WickerSticks"],
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-1",
							pins = {
								{
									id = "4,1,1,1",
									x = 0.1860,
									y = 0.5150,
									zone = 896,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-2",
						title = core.L["StagSkull"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["StagSkull"],
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-2",
							pins = {
								{
									id = "4,1,2,1",
									x = 0.6770,
									y = 0.7370,
									zone = 896,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-3",
						title = core.L["PupSpine"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["PupSpine"],
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-3",
							pins = {
								{
									id = "4,1,3,1",
									x = 0.2550,
									y = 0.2410,
									zone = 896,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-4",
						title = core.L["SpookyIncantation"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["SpookyIncantation"],
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-4",
							pins = {
								{
									id = "4,1,4,1",
									x = 0.5560,
									y = 0.5180,
									zone = 896,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 163789,
									itemInfo = {GetItemInfo(163789)},
									itemIcon = "interface/icons/inv_tradeskillitem_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest1"],
											pourcentageDrop = 0,
										},
									},
									path = "4,1,1,1",
									done = DonePetTask3[4]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 163791,
									itemInfo = {GetItemInfo(163791)},
									itemIcon = "interface/icons/inv_misc_skull_07",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest2"],
											pourcentageDrop = 0,
										},
									},
									path = "4,1,1,2",
									done = DonePetTask3[4]["page"][1]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 163796,
									itemInfo = {GetItemInfo(163796)},
									itemIcon = "interface/icons/inv_misc_bone_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest3"],
											pourcentageDrop = 0,
										},
									},
									path = "4,1,1,3",
									done = DonePetTask3[4]["page"][1]["step"][1]["task"][3]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 163790,
									itemInfo = {GetItemInfo(163790)},
									itemIcon = "interface/icons/inv_scroll_01",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest4"],
											pourcentageDrop = 0,
										},
									},
									path = "4,1,1,4",
									done = DonePetTask3[4]["page"][1]["step"][1]["task"][4]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 163497,
									itemInfo = {GetItemInfo(163497)},
									itemIcon = "interface/icons/inv_wickerbeastpet",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 163789,
											nbNeed = 1,
										},
										[2] = {
											compoId = 163791,
											nbNeed = 1,
										},
										[3] = {
											compoId = 163796,
											nbNeed = 1,
										},
										[4] = {
											compoId = 163790,
											nbNeed = 1,
										},
									},
									done = core.libs.getInfoByIdPet(143189, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[5] = {
		id = 5,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(128396, 8), core.libs.getInfoByIdPet(128396, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(128396, 13), core.libs.getInfoByIdPet(128396, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_good",
		Model = { id = 76829,
				camDist = 1.25,
				rotation = 0.75,
		},
		expansion = "Legion",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-1",
						title = core.L["CallofDevourer"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["CallofDevourer"],
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-1",
							pins = {
								{
									id = "5,1,1,1",
									x = 0.5262,
									y = 0.3815,
									zone = 885,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-2",
						title = core.L["UrzulBone"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["UrzulBone"],
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-2",
							pins = {
								{
									id = "5,1,2,1",
									x = 0.5040,
									y = 0.5610,
									zone = 885,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-3",
						title = core.L["ImpBone"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["ImpBone"],
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-3",
							pins = {
								{
									id = "5,1,3,1",
									x = 0.6596,
									y = 0.1927,
									zone = 885,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-4",
						title = core.L["FiendBone"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["FiendBone"],
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-4",
							pins = {
								{
									id = "5,1,4,1",
									x = 0.5240,
									y = 0.3530,
									zone = 885,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-5",
						title = core.L["Invocation"].." "..core.L["100Faces"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Invocation"].." "..core.L["100Faces"],
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-5",
							pins = {
								{
									id = "5,1,5,1",
									x = 0.5480,
									y = 0.3910,
									zone = 885,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152786,
									itemInfo = {GetItemInfo(152786)},
									itemIcon = "interface/icons/inv_misc_scrollunrolled04c",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Defender"],
											pourcentageDrop = 20,
										},
										[2] = {
											nameNPC = core.L["Ritualist"],
											pourcentageDrop = 5,
										},
									},
									path = "5,1,1,1",	
									done = DonePetTask3[5]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152993,
									itemInfo = {GetItemInfo(152993)},
									itemIcon = "interface/icons/inv_misc_bone_02",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["onFloor"].." (50, 56)",
											pourcentageDrop = 0,
										},
									},
									path = "5,1,2,1",
									done = DonePetTask3[5]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 152992,
									itemInfo = {GetItemInfo(152992)},
									itemIcon = "interface/icons/inv_misc_bone_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["onFloor"].." (66, 26)",
											pourcentageDrop = 0,
										},
									},
									path = "5,1,2,2",
									done = DonePetTask3[5]["page"][1]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 152991,
									itemInfo = {GetItemInfo(152991)},
									itemIcon = "interface/icons/inv_misc_bone_01",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["onFloor"].." (52, 35)",
											pourcentageDrop = 0,
										},
									},
									path = "5,1,2,3",
									done = DonePetTask3[5]["page"][1]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						helpI = core.L["HelpUunaP1S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 153195,
									itemInfo = {GetItemInfo(153195)},
									itemIcon = "interface/icons/inv_misc_toy_02",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["100Faces"],
											pourcentageDrop = 28,
										},
									},
									done = core.libs.getInfoByIdPet(128396, 3),
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-1",
						title = core.L["Shattrath"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Shattrath"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,2,1,1",
									x = 0.5348,
									y = 0.4541,
									zone = 111,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-2",
						title = core.L["Orneval"],
						stepAssigned = 6,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Orneval"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,2,2,1",
									x = 0.1894,
									y = 0.4154,
									zone = 63,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-3",
						title = core.L["MacAree"],
						stepAssigned = 7,
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-4",
						title = core.L["MacAree"],
						stepAssigned = 7,
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-5",
						title = core.L["MacAree"],
						stepAssigned = 7,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["MacAree"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,2,5,1",
									x = 0.3285,
									y = 0.7509,
									zone = 882,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-6",
						title = core.L["Bloodmyst Isle"],
						stepAssigned = 8,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Bloodmyst Isle"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,2,6,1",
									x = 0.5630,
									y = 0.5650,
									zone = 106,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-7",
						title = core.L["Shadowmoon Valley"],
						stepAssigned = 9,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Shadowmoon Valley"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,2,7,1",
									x = 0.5600,
									y = 0.4110,
									zone = 539,
								},
							}
						}
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-8",
						title = core.L["A Dark Place"],
						stepAssigned = 11,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Desolation"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,2,8,1",
									x = 0.6616,
									y = 0.7452,
									zone = 115,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-9",
						title = core.L["A Dark Place"],
						stepAssigned = 11,
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["UunaP2S1T1"],
									desc = core.L["UunaP2S1T1Desc"],
									completed = IsQuestFlaggedCompleted(50098)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Emote"].." 1",
									desc = core.L["UunaEmoteW"],
									completed = IsQuestFlaggedCompleted(50099)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Emote"].." 2",
									desc = core.L["UunaEmoteR"],
									completed = IsQuestFlaggedCompleted(50100)},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Emote"].." 3",
									desc = core.L["UunaEmoteC"],
									completed = IsQuestFlaggedCompleted(50101)},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Shattrath"],
									desc = core.L["GoUuna1"],
									completed = IsQuestFlaggedCompleted(50102)},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Orneval"],
									desc = core.L["GoUuna2"],
									completed = IsQuestFlaggedCompleted(50103)},
							},
						},
					},
					[7] = { id = 7,
						help = core.L["RecItem1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["MacAree"],
									desc = core.L["GoUuna3"],
									completed = IsQuestFlaggedCompleted(50104)},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Bloodmyst Isle"],
									desc = core.L["GoUuna4"],
									completed = IsQuestFlaggedCompleted(50105)},
							},
						},
					},
					[9] = { id = 9,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Shadowmoon Valley"],
									desc = core.L["GoUuna5-12"],
									completed = IsQuestFlaggedCompleted(50106)},
							},
						},
					},
					[10] = { id = 10,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Spirit Healer"],
									desc = core.L["SpeakToGarden"],
									completed = IsQuestFlaggedCompleted(50108)},
							},
						},
					},
					[11] = { id = 11,
						helpI = core.L["FightUuna"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["A Dark Place"],
									desc = core.L["SaveUuna"],
									completed = IsQuestFlaggedCompleted(50109)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-1",
						title = core.L["ValeEternal"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["ValeEternal"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,1,1",
									x = 0.0860,
									y = 0.5849,
									zone = 390,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-2",
						title = core.L["Suramar"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Suramar"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,2,1",
									x = 0.622,
									y = 0.838,
									zone = 680,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-3",
						title = core.L["Dalaran"].." ("..core.L["BrokenIsles"]..")",
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Dalaran"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,3,1",
									x = 0.7240,
									y = 0.4591,
									zone = 627,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-4",
						title = core.L["Desolation"],
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Desolation"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,4,1",
									x = 0.578,
									y = 0.543,
									zone = 115,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-5",
						title = core.L["Desolation"],
						stepAssigned = 4,
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-6",
						title = core.L["Hyjal"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Hyjal"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,6,1",
									x = 0.59,
									y = 0.24,
									zone = 198,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-7",
						title = core.L["Hyjal"],
						stepAssigned = 5,
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-8",
						title = core.L["KunLai"],
						stepAssigned = 6,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["KunLai"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,8,1",
									x = 0.448,
									y = 0.525,
									zone = 379,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-9",
						title = core.L["KunLai"],
						stepAssigned = 6,
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-10",
						title = core.L["Entrance"].." "..core.L["Blackrock"],
						stepAssigned = 7,
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-11",
						title = core.L["Blackrock"],
						stepAssigned = 7,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Blackrock"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,11,1",
									x = 0.37,
									y = 0.67,
									zone = 33,
								},
							}
						}
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-12",
						title = core.L["Shadowmoon Valley"],
						stepAssigned = 8,
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Shadowmoon Valley"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									id = "5,3,12,1",
									x = 0.7065,
									y = 0.4655,
									zone = 539,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["ValeEternal"],
									desc = core.L["GoUuna6"],
									completed = IsQuestFlaggedCompleted(50140)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Suramar"],
									desc = core.L["GoUuna7"],
									completed = IsQuestFlaggedCompleted(50141)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Dalaran"].." ("..core.L["BrokenIsles"]..")",
									desc = core.L["GoUuna13"],
									completed = IsQuestFlaggedCompleted(50142)},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Desolation"],
									desc = core.L["GoUuna8"],
									completed = IsQuestFlaggedCompleted(50143)},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Hyjal"],
									desc = core.L["GoUuna9"],
									completed = IsQuestFlaggedCompleted(50144)},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["KunLai"],
									desc = core.L["GoUuna10"],
									completed = IsQuestFlaggedCompleted(50145)},
							},
						},
					},
					[7] = { id = 7,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Blackrock"],
									desc = core.L["GoUuna11"],
									completed = IsQuestFlaggedCompleted(50146)},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Shadowmoon Valley"],
									desc = core.L["GoUuna5-12"],
									completed = IsQuestFlaggedCompleted(50147)},
							},
						},
					},
				},
			},
		},
	},
	[6] = {
		id = 6,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(141941, 8), core.libs.getInfoByIdPet(141941, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(141941, 13), core.libs.getInfoByIdPet(141941, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_good",
		Model = { id = 80456,
				camDist = 1.25,
				rotation = 0.75,
		},
		imgPet = "Interface/AddOns/WoWChallenger/images/pets/img_pets/baal",
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page1-1",
						title = core.L["BaalScroll"],
						onMap = {
							nameNPC = core.L["BaalScroll"],
							nameZone = core.L["Nazmir"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page1-1",
							pins = {
								{
									id = "6,1,1,1",
									x = 0.5202,
									y = 0.59,
									zone = 863,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBaalP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalScroll"],
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52819)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-1",
						title = core.L["BaalStone"].."1",
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["BaalStone"].."1",
							nameZone = core.L["BrokenShore"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,1,1",
									x = 0.372,
									y = 0.717,
									zone = 646,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-2",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."2",
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."2",
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,2,1",
									x = 0.49,
									y = 0.40,
									zone = 1161,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-3",
						title = core.L["BaalStone"].."2",
						stepAssigned = 2,
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-4",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."3",
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."3",
							nameZone = core.L["Zuldazar"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,4,1",
									x = 0.3157,
									y = 0.3610,
									zone = 862,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-5",
						title = core.L["BaalStone"].."3",
						stepAssigned = 3,
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-6",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."4",
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."4",
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,6,1",
									x = 0.3460,
									y = 0.5505,
									zone = 896,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-7",
						title = core.L["BaalStone"].."4",
						stepAssigned = 4,
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-8",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."5",
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."5",
							nameZone = core.L["Voldun"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,8,1",
									x = 0.6348,
									y = 0.2146,
									zone = 864,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-9",
						title = core.L["BaalStone"].."5",
						stepAssigned = 5,
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-10",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."6",
						stepAssigned = 6,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."6",
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,10,1",
									x = 0.6816,
									y = 0.1090,
									zone = 942,
								},
							}
						}
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-11",
						title = core.L["BaalStone"].."6",
						stepAssigned = 6,
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-12",
						title = core.L["BaalStone"].."7",
						stepAssigned = 7,
						onMap = {
							nameNPC = core.L["BaalStone"].."7",
							nameZone = core.L["Zandalar"],
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,12,1",
									x = 0.5454,
									y = 0.0730,
									zone = 875,
								},
							}
						}
					},
					[13] = { id = 13,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-13",
						title = core.L["BaalStone"].."7",
						stepAssigned = 7,
					},
					[14] = { id = 14,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-14",
						title = core.L["BaalStone"].."7",
						stepAssigned = 7,
					},
					[15] = { id = 15,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-15",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."8",
						stepAssigned = 8,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."8",
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,15,1",
									x = 0.37,
									y = 0.80,
									zone = 1161,
								},
							}
						}
					},
					[16] = { id = 16,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-16",
						title = core.L["BaalStone"].."8",
						stepAssigned = 8,
					},
					[17] = { id = 17,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-17",
						title = core.L["BaalStone"].."9",
						stepAssigned = 9,
						onMap = {
							nameNPC = core.L["BaalStone"].."9",
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,17,1",
									x = 0.1715,
									y = 0.0640,
									zone = 896,
								},
							}
						}
					},
					[18] = { id = 18,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-18",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."10",
						stepAssigned = 10,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."10",
							nameZone = core.L["Tiragarde"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,18,1",
									x = 0.7543, 
									y = 0.7065,
									zone = 895,
								},
							}
						}
					},
					[19] = { id = 19,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-19",
						title = core.L["BaalStone"].."10",
					},
					[20] = { id = 20,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-20",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."11",
						stepAssigned = 11,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."11",
							nameZone = core.L["Tiragarde"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,20,1",
									x = 0.8019, 
									y = 0.1932,
									zone = 895,
								},
							}
						}
					},
					[21] = { id = 21,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-21",
						title = core.L["BaalStone"].."11",
						stepAssigned = 11,
					},
					[22] = { id = 22,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-22",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."12",
						stepAssigned = 12,
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."12",
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,22,1",
									x = 0.1001,
									y = 0.8259,
									zone = 1161,
								},
							}
						}
					},
					[23] = { id = 23,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-23",
						title = core.L["BaalStone"].."12",
						stepAssigned = 12,
					},
					[24] = { id = 24,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-24",
						title = core.L["BaalStone"].."13",
						stepAssigned = 13,
						onMap = {
							nameNPC = core.L["BaalStone"].."13",
							nameZone = core.L["Zandalar"],
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									id = "6,2,24,1",
									x = 0.5572,
									y = -0.1021,
									zone = 875,
								},
							}
						}
					},
					[25] = { id = 25,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-25",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."13",
						stepAssigned = 13,
					},
					[26] = { id = 26,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-26",
						title = core.L["BaalStone"].."13",
						stepAssigned = 13,
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."1",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52809)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."2",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52810)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."3",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52818)},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."4",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52817)},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."5",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52816)},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."6",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52815)},
							},
						},
					},
					[7] = { id = 7,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."7",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52814)},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."8",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52813)},
							},
						},
					},
					[9] = { id = 9,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."9",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52812)},
							},
						},
					},
					[10] = { id = 10,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."10",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(53632)},
							},
						},
					},
					[11] = { id = 11,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."11",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(53633)},
							},
						},
					},
					[12] = { id = 12,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."12",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(53634)},
							},
						},
					},
					[13] = { id = 13,
						help = core.L["RecItem2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."13",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52827)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page3-1",
						title = core.L["Baal"],
						onMap = {
							nameNPC = core.L["Baal"],
							nameZone = core.L["CreteGivreFeu"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_map",
							pins = {
								{
									id = "6,3,1,1",
									x = 0.62,
									y = 0.22,
									zone = 525,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page3-2",
						title = core.L["Baal"],
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBaalP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 162578,
									itemInfo = {GetItemInfo(162578)},
									itemIcon = "interface/icons/spell_warlock_demonbolt",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Baal"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(141941, 3),
								},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-1",
						title = core.L["LitOrb"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["LitOrb"],
							nameZone = core.L["Arak"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,1,1",
									x = 0.3553,
									y = 0.3195,
									zone = 542,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-2",
						title = core.L["StrangeSeed"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["StrangeSeed"],
							nameZone = core.L["Elwynn"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,2,1",
									x = 0.1748,
									y = 0.5662,
									zone = 37,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-3",
						title = core.L["TinyFrog"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["TinyFrog"],
							nameZone = core.L["Arak"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,3,1",
									x = 0.5351,
									y = 0.1078,
									zone = 542,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-4",
						title = core.L["OsFragile"],
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["OsFragile"],
							nameZone = core.L["Tranchantes"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,4,1",
									x = 0.3364,
									y = 0.5818,
									zone = 105,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-5",
						title = core.L["MisplacedCandle"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["MisplacedCandle"],
							nameZone = core.L["Arak"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,5,1",
									x = 0.6795,
									y = 0.4103,
									zone = 542,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-6",
						title = core.L["OddCup"],
						stepAssigned = 6,
						onMap = {
							nameNPC = core.L["OddCup"],
							nameZone =core.L["Shadowmoon Valley"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,6,1",
									x = 0.4572,
									y = 0.2623,
									zone = 539,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-7",
						title = core.L["InterestingRock"],
						stepAssigned = 7,
						onMap = {
							nameNPC = core.L["InterestingRock"],
							nameZone =core.L["Shadowmoon Valley"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,7,1",
									x = 0.5163,
									y = 0.4376,
									zone = 104,
								},
							}
						}
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-8",
						title = core.L["LysEclos"],
						stepAssigned = 8,
						onMap = {
							nameNPC = core.L["LysEclos"],
							nameZone = core.L["MaraisChagrins"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,8,1",
									x = 0.5802,
									y = 0.3160,
									zone = 51,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-9",
						title = core.L["PrettyFlower"],
						stepAssigned = 9,
						onMap = {
							nameNPC = core.L["PrettyFlower"],
							nameZone = core.L["EastPlaguelands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,9,1",
									x = 0.2422,
									y = 0.7821,
									zone = 23,
								},
							}
						}
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-10",
						title = core.L["OldBook"],
						stepAssigned = 10,
						onMap = {
							nameNPC = core.L["OldBook"],
							nameZone = core.L["DeadwindPass"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,10,1",
									x = 0.4119,
									y = 0.7894,
									zone = 42,
								},
							}
						}
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-11",
						title = core.L["DeadFish"],
						stepAssigned = 11,
						onMap = {
							nameNPC = core.L["DeadFish"],
							nameZone = core.L["Blackrock"]..", "..core.L["BurningSteppes"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,11,1",
									x = 0.7782,
									y = 0.4423,
									zone = 33,
								},
							}
						}
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-12",
						title = core.L["ScratchedBoard"],
						stepAssigned = 12,
						onMap = {
							nameNPC = core.L["ScratchedBoard"],
							nameZone = core.L["Duskwood"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,12,1",
									x = 0.52,
									y = 0.6236,
									zone = 47,
								},
							}
						}
					},
					[13] = { id = 13,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-13",
						title = core.L["LostRing"],
						stepAssigned = 13,
						onMap = {
							nameNPC = core.L["LostRing"],
							nameZone = core.L["Hautebrande"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,13,1",
									x = 0.4458,
									y = 0.2642,
									zone = 25,
								},
							}
						}
					},
					[14] = { id = 14,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-14",
						title = core.L["SpoiledApple"],
						stepAssigned = 14,
						onMap = {
							nameNPC = core.L["SpoiledApple"],
							nameZone = core.L["Badlands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,14,1",
									x = 0.9007,
									y = 0.3795,
									zone = 15,
								},
							}
						}
					},
					[15] = { id = 15,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-15",
						title = core.L["BrokenTooth"],
						stepAssigned = 15,
						onMap = {
							nameNPC = core.L["BrokenTooth"],
							nameZone = core.L["BlastedLands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,15,1",
									x = 0.3678,
									y = 0.2761,
									zone = 17,
								},
							}
						}
					},
					[16] = { id = 16,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-16",
						title = core.L["WornHelm"],
						stepAssigned = 16,
						onMap = {
							nameNPC = core.L["WornHelm"],
							nameZone = core.L["BurningSteppes"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,16,1",
									x = 0.2711,
									y = 0.4703,
									zone = 36,
								},
							}
						}
					},
					[17] = { id = 17,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-17",
						title = core.L["LeafyLeaf"],
						stepAssigned = 17,
						onMap = {
							nameNPC = core.L["LeafyLeaf"],
							nameZone = core.L["Dalaran"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,17,1",
									x = 0.4274,
									y = 0.2016,
									zone = 125,
								},
							}
						}
					},
					[18] = { id = 18,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-18",
						title = core.L["MustyCloth"],
						stepAssigned = 18,
						onMap = {
							nameNPC = core.L["MustyCloth"],
							nameZone = core.L["Terokkar"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,18,1",
									x = 0.4022,
									y = 0.7249,
									zone = 108,
								},
							}
						}
					},
					[19] = { id = 19,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-19",
						title = core.L["BrokenTablet"],
						stepAssigned = 19,
						onMap = {
							nameNPC = core.L["BrokenTablet"],
							nameZone = core.L["TwilightHighlands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,19,1",
									x = 0.1705,
									y = 0.5786,
									zone = 241,
								},
							}
						}
					},
					[20] = { id = 20,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page4-20",
						title = core.L["AshedTorch"],
						stepAssigned = 20,
						onMap = {
							nameNPC = core.L["AshedTorch"],
							nameZone = core.L["Feralas"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/waistOfTime_map",
							pins = {
								{
									id = "6,4,20,1",
									x = 0.6077,
									y = 0.6779,
									zone = 69,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBaalP4S1"];
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["LitOrb"],
									desc = core.L["InteractItem"],
									path = "6,4,1,1",
									done = DonePetTask3[6]["page"][4]["step"][1]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["StrangeSeed"],
									desc = core.L["InteractItem"],
									path = "6,4,2,1",
									done = DonePetTask3[6]["page"][4]["step"][2]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["TinyFrog"],
									desc = core.L["InteractItem"],
									path = "6,4,3,1",
									done = DonePetTask3[6]["page"][4]["step"][3]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["OsFragile"],
									desc = core.L["InteractItem"],
									path = "6,4,4,1",
									done = DonePetTask3[6]["page"][4]["step"][4]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["MisplacedCandle"],
									desc = core.L["InteractItem"],
									path = "6,4,5,1",
									done = DonePetTask3[6]["page"][4]["step"][5]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["OddCup"],
									desc = core.L["InteractItem"],
									path = "6,4,6,1",
									done = DonePetTask3[6]["page"][4]["step"][6]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[7] = { id = 7,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["InterestingRock"],
									desc = core.L["InteractItem"],
									path = "6,4,7,1",
									done = DonePetTask3[6]["page"][4]["step"][7]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["LysEclos"],
									desc = core.L["InteractItem"],
									path = "6,4,8,1",
									done = DonePetTask3[6]["page"][4]["step"][8]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[9] = { id = 9,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["PrettyFlower"],
									desc = core.L["InteractItem"],
									path = "6,4,9,1",
									done = DonePetTask3[6]["page"][4]["step"][9]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[10] = { id = 10,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["OldBook"],
									desc = core.L["InteractItem"],
									path = "6,4,10,1",
									done = DonePetTask3[6]["page"][4]["step"][10]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[11] = { id = 11,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["DeadFish"],
									desc = core.L["InteractItem"],
									path = "6,4,11,1",
									done = DonePetTask3[6]["page"][4]["step"][11]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[12] = { id = 12,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["ScratchedBoard"],
									desc = core.L["InteractItem"],
									path = "6,4,12,1",
									done = DonePetTask3[6]["page"][4]["step"][12]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[13] = { id = 13,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["LostRing"],
									desc = core.L["InteractItem"],
									path = "6,4,13,1",
									done = DonePetTask3[6]["page"][4]["step"][13]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[14] = { id = 14,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SpoiledApple"],
									desc = core.L["InteractItem"],
									path = "6,4,14,1",
									done = DonePetTask3[6]["page"][4]["step"][14]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[15] = { id = 15,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["BrokenTooth"],
									desc = core.L["InteractItem"],
									path = "6,4,15,1",
									done = DonePetTask3[6]["page"][4]["step"][15]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[16] = { id = 16,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["WornHelm"],
									desc = core.L["InteractItem"],
									path = "6,4,16,1",
									done = DonePetTask3[6]["page"][4]["step"][16]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[17] = { id = 17,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["LeafyLeaf"],
									desc = core.L["InteractItem"],
									path = "6,4,17,1",
									done = DonePetTask3[6]["page"][4]["step"][17]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[18] = { id = 18,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["MustyCloth"],
									desc = core.L["InteractItem"],
									path = "6,4,18,1",
									done = DonePetTask3[6]["page"][4]["step"][18]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[19] = { id = 19,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["BrokenTablet"],
									desc = core.L["InteractItem"],
									path = "6,4,19,1",
									done = DonePetTask3[6]["page"][4]["step"][19]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[20] = { id = 20,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["AshedTorch"],
									desc = core.L["InteractItem"],
									path = "6,4,20,1",
									done = DonePetTask3[6]["page"][4]["step"][20]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
				},
			},
			[5] = { id = 5,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page5",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-1",
						title = core.L["GrimmyListFriends"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["GrimmyListFriends"],
							nameZone = core.L["ArathiHighlands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/grimmy_map",
							pins = {
								{
									id = "6,5,1,1",
									x = 0.853,
									y = 0.736,
									zone = 14,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-2",
						title = core.L["GrimmyListEnemies"],
						stepAssigned = 3,
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-3",
						title = core.L["Ythyar"],
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Ythyar"],
							nameZone = core.L["Karazhan"]..", "..core.L["DeadwindPass"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-3",
							pins = {
								{
									id = "6,5,3,1",
									x = 0.4704,
									y = 0.7479,
									zone = 42,
								},
								{
									id = "6,5,3,2",
									x = 0.4378,
									y = 0.2629,
									zone = 361,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-4",
						title = core.L["Commerçant de la Tremblaie"],
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Commerçant de la Tremblaie"],
							nameZone = core.L["Grisonnes"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-4",
							pins = {
								{
									id = "6,5,4,1",
									x = 0.3498,
									y = 0.5504,
									zone = 116,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-5",
						title = core.L["Jang Patte de Plumes"],
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Jang Patte de Plumes"],
							nameZone = core.L["Dalaran"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-5",
							pins = {
								{
									id = "6,5,5,1",
									x = 0.4108,
									y = 0.3638,
									zone = 627,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-6",
						title = core.L["Aldraan"].." ("..core.L["Alliance"]..")",
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Aldraan"],
							nameZone = core.L["Nagrand"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-6",
							pins = {
								{
									id = "6,5,6,1",
									x = 0.4287,
									y = 0.4244,
									zone = 107,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-7",
						title = core.L["Coreiel"].." ("..core.L["Horde"]..")",
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Coreiel"],
							nameZone = core.L["Nagrand"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-7",
							pins = {
								{
									id = "6,5,7,1",
									x = 0.4279,
									y = 0.4254,
									zone = 107,
								},
							}
						}
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-8",
						title = core.L["Aquinastrasz"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Aquinastrasz"],
							nameZone = core.L["TwilightHighlands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-8",
							pins = {
								{
									id = "6,5,8,1",
									x = 0.284,
									y = 0.248,
									zone = 241,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-9",
						title = core.L["Karnum"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Karnum"],
							nameZone = core.L["Desolace"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-9",
							pins = {
								{
									id = "6,5,9,1",
									x = 0.574,
									y = 0.476,
									zone = 66,
								},
							}
						}
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-10",
						title = core.L["Noggra"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Noggra"],
							nameZone = core.L["Zuldrak"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-10",
							pins = {
								{
									id = "6,5,10,1",
									x = 0.404,
									y = 0.686,
									zone = 121,
								},
							}
						}
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-11",
						title = core.L["Mug"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Mug"],
							nameZone = core.L["KunLai"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-11",
							pins = {
								{
									id = "6,5,11,1",
									x = 0.444,
									y = 0.902,
									zone = 379,
								},
							}
						}
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-12",
						title = core.L["GrimmyFavoriteRecipe"],
						stepAssigned = 6,
					},
					[13] = { id = 13,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-13",
						title = core.L["RottenPotato"],
						stepAssigned = 7,
						onMap = {
							nameNPC = core.L["RottenPotato"],
							nameZone = core.L["ArathiHighlands"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page5-13",
							pins = {
								{
									id = "6,5,13,1",
									x = 0.884 ,
									y = 0.692,
									zone = 14,
								},
							}
						}
					},
					[14] = { id = 14,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page5-14",
						title = core.L["GrimmyRustyLockbox"],
						stepAssigned = 8,
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBaalP5S1"],
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["GrimmyListFriends"],
									desc = core.L["InteractItem"],
									path = "6,5,1,1",
									done = DonePetTask3[6]["page"][5]["step"][1]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[2] = { id = 2,
						helpI = core.L["HelpBaalP5S2"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 82397,
									itemInfo = {GetItemInfo(82397)},
									itemIcon = "interface/icons/inv_helmet_cloth_panda_b_01_green",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 82441,
											nbNeed = 5,
										},
									},
									profession = core.L["Couture"],
									path = "6,5,2,1",
									done = DonePetTask3[6]["page"][5]["step"][2]["task"][1]["done"],
									notAffected = true,
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 54474,
									itemInfo = {GetItemInfo(54474)},
									itemIcon = "interface/icons/inv_shoulder_cloth_cataclysm_b_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 53643,
											nbNeed = 3,
										},
										[2] = {
											compoId = 38426,
											nbNeed = 2,
										},
									},
									profession = core.L["Couture"],
									path = "6,5,2,2",
									done = DonePetTask3[6]["page"][5]["step"][2]["task"][2]["done"],
									notAffected = true,
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 21855,
									itemInfo = {GetItemInfo(21855)},
									itemIcon = "interface/icons/inv_shirt_04",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 21840,
											nbNeed = 8,
										},
										[2] = {
											compoId = 14341,
											nbNeed = 2,
										},
									},
									profession = core.L["Couture"],
									path = "6,5,2,3",
									done = DonePetTask3[6]["page"][5]["step"][2]["task"][3]["done"],
									notAffected = true,
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 41519,
									itemInfo = {GetItemInfo(41519)},
									itemIcon = "interface/icons/inv_pants_cloth_11",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 41510,
											nbNeed = 5,
										},
										[2] = {
											compoId = 38426,
											nbNeed = 1,
										},
									},
									profession = core.L["Couture"],
									path = "6,5,2,4",
									done = DonePetTask3[6]["page"][5]["step"][2]["task"][4]["done"],
									notAffected = true,
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["GrimmyListEnemies"],
									desc = core.L["InteractItem"],
									path = "6,5,3,1",
									done = DonePetTask3[6]["page"][5]["step"][3]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpBaalP5S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 22535,
									itemInfo = {GetItemInfo(22535)},
									itemIcon = "interface/icons/inv_misc_note_01",
									nbNeed = 1,
									["vendor"] = {core.L["Ythyar"]},
									path = "6,5,4,1",
									done = DonePetTask3[6]["page"][5]["step"][4]["task"][1]["done"],
									notAffected = true,
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 40360,
									itemInfo = {GetItemInfo(40360)},
									itemIcon = "interface/icons/inv_misc_pelt_bear_ruin_05",
									nbNeed = 1,
									["vendor"] = {core.L["Commerçant de la Tremblaie"]},
									path = "6,5,4,2",
									done = DonePetTask3[6]["page"][5]["step"][4]["task"][2]["done"],
									notAffected = true,
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 1515,
									itemInfo = {GetItemInfo(1515)},
									itemIcon = "interface/icons/inv_staff_09",
									nbNeed = 1,
									["vendor"] = {core.L["Jang Patte de Plumes"]},
									path = "6,5,4,3",
									done = DonePetTask3[6]["page"][5]["step"][4]["task"][3]["done"],
									notAffected = true,
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 30569,
									itemInfo = {GetItemInfo(30569)},
									itemIcon = "interface/icons/inv_sword_04",
									nbNeed = 1,
									["vendor"] = {core.L["Aldraan"], core.L["Coreiel"]},
									path = "6,5,4,4",
									done = DonePetTask3[6]["page"][5]["step"][4]["task"][4]["done"],
									notAffected = true,
								},
							},
						},
					},
					[5] = { id = 5,
						helpI = core.L["HelpBaalP5S5"];
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Aquinastrasz"],
									desc = core.L["HelpBaalP5S5T1Desc"],
									completed = IsQuestFlaggedCompleted(52822),
								},
							},
							[2] = { id = 2,
								["quest"] = {
									title = core.L["Karnum"],
									desc = core.L["HelpBaalP5S5T2Desc"],
									completed = IsQuestFlaggedCompleted(52823),
								},
							},
							[3] = { id = 3,
								["quest"] = {
									title = core.L["Noggra"],
									desc = core.L["HelpBaalP5S5T3Desc"],
									completed = IsQuestFlaggedCompleted(52824),
								},
							},
							[4] = { id = 4,
								["quest"] = {
									title = core.L["Mug"],
									desc = core.L["HelpBaalP5S5T4Desc"],
									completed = IsQuestFlaggedCompleted(52826),
								},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["GrimmyFavoriteRecipe"], 
									desc = core.L["InteractItem"],
									path = "6,5,6,1",
									done = DonePetTask3[6]["page"][5]["step"][6]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[7] = { id = 7,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["RottenPotato"], 
									desc = core.L["HelpBaalP5S7T1Desc"],
									path = "6,5,7,1",
									done = DonePetTask3[6]["page"][5]["step"][7]["task"][1]["done"],
									notAffected = true,
								},
							},
						},
					},
					[8] = { id = 8,
						help = core.L["HelpBaalP5S8"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 162690,
									itemInfo = {GetItemInfo(162690)},
									itemIcon = "interface/icons/inv_belt_armor_waistoftime_d_01",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GrimmyRustyLockbox"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedTransmo(162690),
								},
							},
						},
					},
				},
			},
		},
	},
	[7] = {
		id = 7,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(61087, 8), core.libs.getInfoByIdPet(61087, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(61087, 13), core.libs.getInfoByIdPet(61087, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/sundarter_good",
		Model = { id = 74529,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Legion",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/sundarter_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-1",
						title = core.L["Saupoudr"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["Saupoudr"],
							nameZone = core.L["Tanaris"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page1-1",
							pins = {
								{
									id = "7,1,1,1",
									x = 0.5118,
									y = 0.2985,                   --0.4972 0.6047 Pour le Brasseur sombrefer
									zone = 71,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-2",
						title = core.L["ChefTombeHiver"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["ChefTombeHiver"],
							nameZone = core.L["BerceauHiver"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page1-2",
							pins = {
								{
									id = "7,1,2,1",
									x = 0.3695,
									y = 0.5559,
									zone = 83,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-3",
						title = core.L["Scotty"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Scotty"],
							nameZone = core.L["SteppesTanglong"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page1-3",
							pins = {
								{
									id = "7,1,3,1",
									x = 0.218,
									y = 0.46,
									zone = 388,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-4",
						title = core.L["Lio la Lionne"].." ("..core.L["Alliance"]..")",
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Lio la Lionne"],
							nameZone = core.L["Dalaran"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page1-4",
							pins = {
								{
									id = "7,1,4,1",
									x = 0.5912,
									y = 0.3847,
									zone = 627,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-5",
						title = core.L["Serrah"].." ("..core.L["Horde"]..")",
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Serrah"],
							nameZone = core.L["Dalaran"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page1-5",
							pins = {
								{
									id = "7,1,5,1",
									x = 0.5912,
									y = 0.3847,
									zone = 627,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-6",
						title = core.L["Brasseur sombrefer"],
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Brasseur sombrefer"],
							nameZone = core.L["BlackrockDepths"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page1-6",
							pins = {
								{
									id = "7,1,6,1",
									x = 0.4972,
									y = 0.6047,
									zone = 243,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page1-7",
						title = core.L["Chope Navre Biere"],
						stepAssigned = 5,
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpSunDarterP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 22841,
									itemInfo = {GetItemInfo(22841)},
									itemIcon = "interface/icons/inv_potion_124",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 21884,
											nbNeed = 1,
										},
										[2] = {
											compoId = 22793,
											nbNeed = 3,
										},
										[3] = {
											compoId = 3371,
											nbNeed = 5,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,1",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 22845,
									itemInfo = {GetItemInfo(22845)},
									itemIcon = "interface/icons/inv_potion_128",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 22457,
											nbNeed = 1,
										},
										[2] = {
											compoId = 22793,
											nbNeed = 3,
										},
										[3] = {
											compoId = 3371,
											nbNeed = 5,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,2",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 22842,
									itemInfo = {GetItemInfo(22842)},
									itemIcon = "interface/icons/inv_potion_126",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 21885,
											nbNeed = 1,
										},
										[2] = {
											compoId = 22793,
											nbNeed = 3,
										},
										[3] = {
											compoId = 3371,
											nbNeed = 5,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,3",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][3]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 22847,
									itemInfo = {GetItemInfo(22847)},
									itemIcon = "interface/icons/inv_potion_125",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 21886,
											nbNeed = 1,
										},
										[2] = {
											compoId = 22793,
											nbNeed = 3,
										},
										[3] = {
											compoId = 3371,
											nbNeed = 5,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,4",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][4]["done"],
								},
							},
							[5] = { id = 5,
								["need"] = {
									itemId = 22844,
									itemInfo = {GetItemInfo(22844)},
									itemIcon = "interface/icons/inv_potion_127",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 21886,
											nbNeed = 1,
										},
										[2] = {
											compoId = 22793,
											nbNeed = 3,
										},
										[3] = {
											compoId = 3371,
											nbNeed = 5,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,5",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][5]["done"],
								},
							},
							[6] = { id = 6,
								["need"] = {
									itemId = 22846,
									itemInfo = {GetItemInfo(22846)},
									itemIcon = "interface/icons/inv_potion_123",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 22456,
											nbNeed = 1,
										},
										[2] = {
											compoId = 22793,
											nbNeed = 3,
										},
										[3] = {
											compoId = 3371,
											nbNeed = 5,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,6",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][6]["done"],
								},
							},
							[7] = { id = 7,
								["need"] = {
									itemId = 40195,
									itemInfo = {GetItemInfo(40195)},
									itemIcon = "interface/icons/inv_potion_07",
									nbNeed = 20,
									["create"] = {
										[1] = {
											compoId = 40199,
											nbNeed = 1,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,7",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][7]["done"],
								},
							},
							[8] = { id = 8,
								["need"] = {
									itemId = 44958,
									itemInfo = {GetItemInfo(44958)},
									itemIcon = "interface/icons/inv_drink_11",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 41814,
											nbNeed = 2,
										},
									},
									profession = core.L["Alchimie"],
									path = "7,1,1,8",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][8]["done"],
								},
							},
							[9] = { id = 9,
								["need"] = {
									itemId = 18258,
									itemInfo = {GetItemInfo(18258)},
									itemIcon = "interface/icons/inv_chest_chain_14",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 14048,
											nbNeed = 2,
										},
										[2] = {
											compoId = 8170,
											nbNeed = 4,
										},
										[3] = {
											compoId = 18240,
											nbNeed = 1,
										},
										[4] = {
											compoId = 14341,
											nbNeed = 1,
										},
									},
									profession = core.L["Couture"],
									path = "7,1,1,9",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][9]["done"],
								},
							},
							[10] = { id = 10,
								["need"] = {
									itemId = 955,
									itemInfo = {GetItemInfo(955)},
									itemIcon = "interface/icons/inv_scroll_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 39354,
											nbNeed = 1,
										},
										[2] = {
											compoId = 39469,
											nbNeed = 1,
										},
									},
									profession = core.L["Calligraphie"],
									path = "7,1,1,10",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][10]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 8529,
									itemInfo = {GetItemInfo(8529)},
									itemIcon = "interface/icons/inv_potion_83",
									nbNeed = 10,
									["vendor"] = {core.L["Saupoudr"]},
									path = "7,1,2,1",
									done = DonePetTask3[7]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 12820,
									itemInfo = {GetItemInfo(12820)},
									itemIcon = "interface/icons/inv_potion_92",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["ChefTombeHiver"],
											pourcentageDrop = 47,
										},
									},
									path = "7,1,3,1",
									done = DonePetTask3[7]["page"][1]["step"][3]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 89373,
									itemInfo = {GetItemInfo(89373)},
									itemIcon = "interface/icons/inv_misc_coin_17",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Scotty"],
											pourcentageDrop = 0,
										},
									},
									path = "7,1,3,2",
									done = DonePetTask3[7]["page"][1]["step"][3]["task"][2]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 49912,
									itemInfo = {GetItemInfo(49912)},
									itemIcon = "interface/icons/inv_misc_bone_01",
									nbNeed = 1,
									["hf"] = {GetAchievementInfo(4478)},
									done = core.libs.getInfoByIdPet(37865, 3),
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 103789,
									itemInfo = {GetItemInfo(103789)},
									itemIcon = "interface/icons/inv_helm_misc_conepartyhat",
									nbNeed = 1,
									["vendor"] = {core.L["Lio la Lionne"].." ("..core.L["Alliance"]..")", core.L["Serrah"].." ("..core.L["Horde"]..")"},
									path = "7,1,4,2",
									done = DonePetTask3[7]["page"][1]["step"][4]["task"][2]["done"],
								},
							},
						},
					},
					[5] = { id = 5,
						help = core.L["HelpSunDarterP1S5"];
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 38320,
									itemInfo = {GetItemInfo(38320)},
									itemIcon = "interface/icons/inv_drink_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Brasseur sombrefer"],
											pourcentageDrop = 0,
										},
									},
									path = "7,1,5,1",
									done = DonePetTask3[7]["page"][1]["step"][5]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/sundarter_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-1",
						title = core.L["SunDarterP2S1T1"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["SunDarterP2S1T1"],
							nameZone = core.L["BerceauHiver"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/sundarter_page2-1",
							pins = {
								{
									id = "7,2,1,1",
									x = 0.5722,
									y = 0.1393,
									zone = 12,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-2",
						title =core.L["SunDarterP2S2T1"],
						stepAssigned = 2,
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-3",
						title = core.L["SunDarterP2S3T1"],
						stepAssigned = 3,
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-4",
						title = core.L["SunDarterP2S4T1"],
						stepAssigned = 4,
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-5",
						title = core.L["Pierre d'eau"],
						stepAssigned = 5,
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-6",
						title =core.L["SunDarterP2S5T1"],
						stepAssigned = 5,
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-7",
						title = core.L["SunDarterP2S6T1"],
						stepAssigned = 6,
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-8",
						title = core.L["SunDarterP2S7T1"],
						stepAssigned = 7,
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-9",
						title = core.L["SunDarterP2S8T1"],
						stepAssigned = 8,
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-10",
						title = core.L["SunDarterP2S9T1"],
						stepAssigned = 9,
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-11",
						title = core.L["SunDarterP2S10T1"],
						stepAssigned = 10,
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-12",
						title = core.L["SunDarterP2S11T1"],
						stepAssigned = 11,
					},
					[13] = { id = 13,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/sundarter_page2-13",
						title = core.L["SunDarterP2S12T1"],
						stepAssigned = 12,
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S1T1"],
									desc = core.L["SunDarterP2S1T1Desc"],
									path = "7,2,1,1",
									done = DonePetTask3[7]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S2T1"],
									desc = core.L["SunDarterP2S2T1Desc"],
									path = "7,2,2,1",
									done = DonePetTask3[7]["page"][2]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S3T1"],
									desc = core.L["SunDarterP2S3T1Desc"],
									path = "7,2,3,1",
									done = DonePetTask3[7]["page"][2]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S4T1"],
									desc = core.L["SunDarterP2S4T1Desc"],
									path = "7,2,4,1",
									done = DonePetTask3[7]["page"][2]["step"][4]["task"][1]["done"],
								},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S5T1"],
									desc = core.L["SunDarterP2S5T1Desc"],
									path = "7,2,5,1",
									done = DonePetTask3[7]["page"][2]["step"][5]["task"][1]["done"],
								},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S6T1"],
									desc = core.L["SunDarterP2S6T1Desc"],
									path = "7,2,6,1",
									done = DonePetTask3[7]["page"][2]["step"][6]["task"][1]["done"],
								},
							},
						},
					},
					[7] = { id = 7,
						helpI = core.L["HelpSunDarterP2S7"];
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S7T1"],
									desc = core.L["SunDarterP2S7T1Desc"],
									path = "7,2,7,1",
									done = DonePetTask3[7]["page"][2]["step"][7]["task"][1]["done"],
								},
							},
						},
					},
					[8] = { id = 8,
						help = core.L["HelpSunDarterP2S8"],
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S8T1"],
									desc = core.L["SunDarterP2S8T1Desc"],
									path = "7,2,8,1",
									done = DonePetTask3[7]["page"][2]["step"][8]["task"][1]["done"],
								},
							},
						},
					},
					[9] = { id = 9,
						help = core.L["HelpSunDarterP2S8"],
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S9T1"],
									desc = core.L["SunDarterP2S9T1Desc"],
									path = "7,2,9,1",
									done = DonePetTask3[7]["page"][2]["step"][9]["task"][1]["done"],
								},
							},
						},
					},
					[10] = { id = 10,
						help = core.L["HelpSunDarterP2S10"],
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S10T1"],
									desc = core.L["SunDarterP2S10T1Desc"],
									path = "7,2,10,1",
									done = DonePetTask3[7]["page"][2]["step"][10]["task"][1]["done"],
								},
							},
						},
					},
					[11] = { id = 11,
						help = core.L["HelpSunDarterP2S10"],
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S11T1"],
									desc = core.L["SunDarterP2S11T1Desc"],
									path = "7,2,11,1",
									done = DonePetTask3[7]["page"][2]["step"][11]["task"][1]["done"],
								},
							},
						},
					},
					[12] = { id = 12,
						helpI = core.L["HelpSunDarterP2S11"],
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["SunDarterP2S12T1"],
									desc = core.L["SunDarterP2S12T1Desc"],
									path = "7,2,12,1",
									done = DonePetTask3[7]["page"][2]["step"][12]["task"][1]["done"],
								},
							},
						},
					},
					[13] = { id = 13,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 142223,
									itemInfo = {GetItemInfo(142223)},
									itemIcon = "interface/icons/inv_faeriedragon2_orange",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Œuf de couleur étrange"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(61087, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[8] = {
		id = 8,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(64632, 8), core.libs.getInfoByIdPet(64632, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(64632, 13), core.libs.getInfoByIdPet(64632, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/hopling_good",
		Model = { id = 43597,
				camDist = 2,
				rotation = 0.75,
		},
		expansion = "Mists of Pandaria",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/hopling_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/hopling_page1-1",
						title = core.L["TatieOrage"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["TatieOrage"],
							nameZone = core.L["BrasserieOrage"]..", "..core.L["ValleyWinds"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/hopling_page1-1",
							pins = {
								{
									id = "8,1,1,1",
									x = 0.3606,
									y = 0.6910,
									zone = 376,
								},
								{
									id = "8,1,1,2",								
									x = 0.7699,
									y = 0.3555,
									zone = 439,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/hopling_page1-2",
						title = core.L["HoplingGolden"],
						stepAssigned = 2,
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 80313,
									itemInfo = {GetItemInfo(80313)},
									itemIcon = "interface/icons/inv_misc_beer_06",
									nbNeed = 1,
									["vendor"] = {core.L["TatieOrage"]},
									path = "8,1,1,1",
									done = DonePetTask3[7]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						helpI = core.L["HelpHoplingP1S2"],
						task = {
							[1] = { id = 1,
									["hf"] = {GetAchievementInfo(6402)},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpHoplingP1S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 86562,
									itemInfo = {GetItemInfo(86562)},
									itemIcon = "interface/icons/achievement_brewery_1",
									nbNeed = 1,
									["hf"] = {GetAchievementInfo(6402)},
									done = core.libs.getInfoByIdPet(64632, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[9] = {
		id = 9,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(139770, 8), core.libs.getInfoByIdPet(139770, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(139770, 13), core.libs.getInfoByIdPet(139770, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/taptaf_good",
		Model = { id = 86488,
				camDist = 1.5,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/taptaf_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/taptaf_page1-1",
						title = core.L["Idej le Sage"],
						onMap = {
							nameNPC = core.L["Idej le Sage"],
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/taptaf_page1-1",
							pins = {
								{
									id = "9,1,1,1",
									x = 0.6493,
									y = 0.8327,
									zone = 896,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161081,
									itemInfo = {GetItemInfo(161081)},
									itemIcon = "interface/icons/inv_babypig",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Idej le Sage"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(139770, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[10] = {
		id = 10,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(16445, 8), core.libs.getInfoByIdPet(16445, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(16445, 13), core.libs.getInfoByIdPet(16445, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/terky_good",
		Model = { id = 15398,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Warlords of Draenor",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/terky_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/terky_page1-1",
						title = core.L["Entrance"],
						onMap = {
							nameNPC = core.L["Entrance"],
							nameZone = core.L["Toundra"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/terky_page1-1",
							pins = {
								{
									id = "10,1,1,1",
									x = 0.55,
									y = 0.88,
									zone = 114,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/terky_page1-2",
						title = core.L["White Murloc Egg"],
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 22780,
									itemInfo = {GetItemInfo(22780)},
									itemIcon = "interface/icons/inv_egg_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["White Murloc Egg"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(16445, 3),
								},
							},
						},
					},
				},
			},
		},
	},
}
end
core.LoadPets = loadPets;